<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
 if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");

$action = $_GET['action'];

switch ($action){ 
	case 'reset':
        $getcontent_url = $server_url . "/sv_char.php";
        $getcontent_data = array(
            'login'    =>  $_SESSION['mu_username'],
            'name'    =>  $_SESSION['mu_nvchon'],
            'resetnow'    =>  $_SESSION['nv_reset'],
            
            'pagesv'	=>	'sv_char_reset',
            'string_login'    =>  $_SESSION['checklogin'],
            'passtransfer'    =>  $passtransfer
        ); 
        
        $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

		if ( empty($reponse) ) $notice = "<font size='3' color='red'>Server bảo trì.</font>";
		elseif($reponse == "login_other") {
			$notice = "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
			session_destroy();
		}
		else {
			if ( read_TagName($reponse, 'info', 1) == 'OK' ) {
				$notice = "<vweb>OK<vweb>" . read_TagName($reponse, 'messenge', 1) . "<vweb>";
				
                $_SESSION['nv_reset'] = $_SESSION['nv_reset']+1;
				$_SESSION['nv_level'] = 1;
				$_SESSION['nv_zen'] = read_TagName($reponse, 'resetmoeny', 1);
				$_SESSION['nv_point'] = read_TagName($reponse, 'resetpoint', 1);
				$_SESSION['nv_pointdutru'] = read_TagName($reponse, 'pointdutru', 1);
				$_SESSION['nv_resetday'] = $_SESSION['nv_resetday']+1;
				$_SESSION['nv_resetmonth'] = $_SESSION['nv_resetmonth']+1;
			}
			else $notice = $reponse;
		}
        
        echo $notice;
	break;
    
    case 'reset_over':
        $getcontent_url = $server_url . "/sv_char.php";
        $getcontent_data = array(
            'login'    =>  $_SESSION['mu_username'],
            'name'    =>  $_SESSION['mu_nvchon'],
            'resetnow'    =>  $_SESSION['nv_reset'],
            
            'pagesv'	=>	'sv_char_reset_over',
            'string_login'    =>  $_SESSION['checklogin'],
            'passtransfer'    =>  $passtransfer
        ); 
        
        $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

		if ( empty($reponse) ) $notice = "<font size='3' color='red'>Server bảo trì.</font>";
		elseif($reponse == "login_other") {
			$notice = "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
			session_destroy();
		}
		else {
			if ( read_TagName($reponse, 'info', 1) == 'OK' ) {
				$notice = "<vweb>OK<vweb>" . read_TagName($reponse, 'messenge', 1) . "<vweb>";
				
                $_SESSION['nv_reset'] = $_SESSION['nv_reset']+1;
					$_SESSION['nv_level'] = 1;
					$_SESSION['nv_zen'] = read_TagName($reponse, 'resetmoeny', 1);
					$_SESSION['nv_point'] = read_TagName($reponse, 'resetpoint', 1);
					$_SESSION['nv_pointdutru'] = read_TagName($reponse, 'pointdutru', 1);
					$_SESSION['nv_resetday'] = $_SESSION['nv_resetday']+1;
					$_SESSION['nv_resetmonth'] = $_SESSION['nv_resetmonth']+1;
			}
			else $notice = $reponse;
		}
        
        echo $notice;
	break;

	case 'reset_vip':
        $tiente = $_GET['tiente'];
        
        if ($tiente == 'gcoin' || $tiente == 'vpoint') {
            $getcontent_url = $server_url . "/sv_char.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'name'    =>  $_SESSION['mu_nvchon'],
                'tiente'    =>  $tiente,
                'resetnow'    =>  $_SESSION['nv_reset'],
                
                'pagesv'	=>	'sv_char_reset_vip',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            ); 
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
    
    		if ( empty($reponse) ) $notice = "<font size='3' color='red'>Server bảo trì.</font>";
    		elseif($reponse == "login_other") {
    			$notice = "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
    			session_destroy();
    		}
    		else {
    			if ( read_TagName($reponse, 'info', 1) == 'OK' ) {
    				$notice = "<vweb>OK<vweb>" . read_TagName($reponse, 'messenge', 1) . "<vweb>";
    				
                    $_SESSION['acc_gcoin'] = read_TagName($reponse, 'gcoin', 1);
    				$_SESSION['acc_gcoin_km'] = read_TagName($reponse, 'gcoin_km', 1);
    				$_SESSION['acc_vpoint'] = read_TagName($reponse, 'vpoint', 1);
    				
    				$_SESSION['nv_reset'] = $_SESSION['nv_reset']+1;
    				$_SESSION['nv_level'] = 1;
    				$_SESSION['nv_point'] = read_TagName($reponse, 'resetpoint', 1);
    				$_SESSION['nv_pointdutru'] = read_TagName($reponse, 'pointdutru', 1);
    				$_SESSION['nv_resetday'] = $_SESSION['nv_resetday']+1;
    				$_SESSION['nv_resetmonth'] = $_SESSION['nv_resetmonth']+1;
    			}
    			else $notice = $reponse;
    		}
        } else $notice = "Sai loại đơn vị tiền tệ";
        
        echo $notice;
    break;


	case 'reset_vip2':
        $tiente = $_GET['tiente'];
        
        if ($tiente == 'gcoin' || $tiente == 'vpoint') {
            $getcontent_url = $server_url . "/sv_char.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'name'    =>  $_SESSION['mu_nvchon'],
                'tiente'    =>  $tiente,
                'resetnow'    =>  $_SESSION['nv_reset'],
                
                'pagesv'	=>	'sv_char_reset_vip2',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            ); 
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
    
    		if ( empty($reponse) ) $notice = "<font size='3' color='red'>Server bảo trì.</font>";
    		elseif($reponse == "login_other") {
    			$notice = "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
    			session_destroy();
    		}
    		else {
    			if ( read_TagName($reponse, 'info', 1) == 'OK' ) {
    				$notice = "<vweb>OK<vweb>" . read_TagName($reponse, 'messenge', 1) . "<vweb>";
    				
                    $_SESSION['acc_gcoin'] = read_TagName($reponse, 'gcoin', 1);
    				$_SESSION['acc_gcoin_km'] = read_TagName($reponse, 'gcoin_km', 1);
    				$_SESSION['acc_vpoint'] = read_TagName($reponse, 'vpoint', 1);
    				
    				$_SESSION['nv_reset'] = $_SESSION['nv_reset']+1;
    				$_SESSION['nv_level'] = 1;
    				$_SESSION['nv_point'] = read_TagName($reponse, 'resetpoint', 1);
    				$_SESSION['nv_pointdutru'] = read_TagName($reponse, 'pointdutru', 1);
    				$_SESSION['nv_resetday'] = $_SESSION['nv_resetday']+1;
    				$_SESSION['nv_resetmonth'] = $_SESSION['nv_resetmonth']+1;
    			}
    			else $notice = $reponse;
    		}
        } else $notice = "Sai loại đơn vị tiền tệ";
        
        echo $notice;
    break;


    case 'reset_over_vip':
        $tiente = $_GET['tiente'];
        
        if ($tiente == 'gcoin' || $tiente == 'vpoint') {
            $getcontent_url = $server_url . "/sv_char.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'name'    =>  $_SESSION['mu_nvchon'],
                'tiente'    =>  $tiente,
                'resetnow'    =>  $_SESSION['nv_reset'],
                
                'pagesv'	=>	'sv_char_reset_vip_over',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            ); 
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
    
    		if ( empty($reponse) ) $notice = "<font size='3' color='red'>Server bảo trì.</font>";
    		elseif($reponse == "login_other") {
    			$notice = "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
    			session_destroy();
    		}
    		else {
    			if ( read_TagName($reponse, 'info', 1) == 'OK' ) {
    				$notice = "<vweb>OK<vweb>" . read_TagName($reponse, 'messenge', 1) . "<vweb>";
    				
                    $_SESSION['acc_gcoin'] = read_TagName($reponse, 'gcoin', 1);
					$_SESSION['acc_gcoin_km'] = read_TagName($reponse, 'gcoin_km', 1);
					$_SESSION['acc_vpoint'] = read_TagName($reponse, 'vpoint', 1);
					
					$_SESSION['nv_reset'] = $_SESSION['nv_reset']+1;
					$_SESSION['nv_level'] = 1;
					$_SESSION['nv_point'] = read_TagName($reponse, 'resetpoint', 1);
					$_SESSION['nv_pointdutru'] = read_TagName($reponse, 'pointdutru', 1);
					$_SESSION['nv_resetday'] = $_SESSION['nv_resetday']+1;
					$_SESSION['nv_resetmonth'] = $_SESSION['nv_resetmonth']+1;
    			}
    			else $notice = $reponse;
    		}
        } else $notice = "Sai loại đơn vị tiền tệ";
        
        echo $notice;
    break;
    
    case 'trainpcpoint':

            $getcontent_url = $server_url . "/sv_char.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'name'    =>  $_SESSION['mu_nvchon'],
                
                'pagesv'	=>	'sv_char_train_PCPoint',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            ); 
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
    
    		if ( empty($reponse) ) $notice = "<font size='3' color='red'>Server bảo trì.</font>";
    		elseif($reponse == "login_other") {
    			$notice = "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
    			session_destroy();
    		}
    		else {
    			if ( read_TagName($reponse, 'info', 1) == 'OK' ) {
    				$notice = "<vweb>OK<vweb>" . read_TagName($reponse, 'messenge', 1) . "<vweb>";
					$ketqua_loai = read_TagName($reponse, 'ketqua_loai', 1);
					$ketqua_dao = read_TagName($reponse, 'ketqua_dao', 1);
					$_SESSION['nv_level'] = 1;
    				if($ketqua_loai=='zen')$_SESSION['acc_zen']=$_SESSION['acc_zen']+$ketqua_dao;
					if($ketqua_loai=='jb')$_SESSION['acc_jbkhoa']=$_SESSION['acc_jbkhoa']+$ketqua_dao;
					if($ketqua_loai=='pl')$_SESSION['acc_ppo']=$_SESSION['acc_ppo']+$ketqua_dao;
   			}
    			else $notice = $reponse;
    		}
        
        echo $notice;
    break;

	case 'upresetday':
			$rs_number=abs(intval($_GET['rs_number']));
			if($rs_number == 0){
				echo "Số lần để Up Reset = 0 vui lòng kiểm tra lại!"; exit ();
			}
			
            $getcontent_url = $server_url . "/sv_char.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'name'    =>  $_SESSION['mu_nvchon'],
                'rs_number'    =>  $rs_number,
                
                'pagesv'	=>	'sv_char_up_resetday',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            ); 
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
    
    		if ( empty($reponse) ) $notice = "<font size='3' color='red'>Server bảo trì.</font>";
    		elseif($reponse == "login_other") {
    			$notice = "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
    			session_destroy();
    		}
		else {
			if ( read_TagName($reponse, 'info', 1) == 'OK' ) {
				$notice = "<vweb>OK<vweb>" . read_TagName($reponse, 'messenge', 1) . "<vweb>";
				
                $_SESSION['nv_reset'] = read_TagName($reponse, 'reset', 1);
				$_SESSION['nv_resetday'] = $_SESSION['nv_resetday']+$rs_number;
				$_SESSION['nv_resetmonth'] = $_SESSION['nv_resetmonth']+$rs_number;
				$_SESSION['acc_gcoin'] = read_TagName($reponse, 'gcoin', 1);
				$_SESSION['acc_pointphucloi'] = read_TagName($reponse, 'pointphucloi', 1);
			}
			else $notice = $reponse;
		}
        
        echo $notice;
    break;


    default:
        echo "Dữ liệu sai";
}



?>